Bug 964267 - Nodejs migration may be doing unnecessary work for npm
Nodejs migration may be doing unnecessary work for npm
Status: CLOSED CURRENTRELEASE
Product: OpenShift Online
Classification: Red Hat
Component: Containers (Show other bugs)
2.x
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Mrunal Patel
libra bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-17 13:09 EDT by Paul Morie
Modified: 2015-05-14 19:18 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-11 00:06:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Morie 2013-05-17 13:09:32 EDT
Nodejs migration may be doing unnecessary work for npm: the migration sets up npm again; it should already be there from V1.
Comment 1 Mrunal Patel 2013-05-17 17:41:32 EDT
https://github.com/openshift/li/pull/1417
Comment 2 chunchen 2013-05-20 05:17:56 EDT
It's fixed, verified on devenv_3247, please refer to the following results:

I created nodejs app and npm files at 23:15 May 19 when V1 mode, and did migrate completely at 02:16 May 20, so we can find that the npm files not changed after migration, means that the unnecessary steps for npm have been removed.

[no1-bmengdev.dev.rhcloud.com 8014a8eac0fb11e2a1f712313b0c0cd2]\> ls -la
    total 52
    drwxr-x---. 12 root                             8014a8eac0fb11e2a1f712313b0c0cd2 4096 May 20 02:17 .
    drwxr-x--x. 51 root                             root                             4096 May 20 04:59 ..
    drwxr-xr-x.  4 root                             8014a8eac0fb11e2a1f712313b0c0cd2 4096 May 19 23:15 app-root
    drwxr-x---.  2 root                             8014a8eac0fb11e2a1f712313b0c0cd2 4096 May 20 02:16 .env
    drwxr-xr-x.  3 root                             root                             4096 May 19 23:15 git
    -rw-r--r--.  1 root                             root                               56 May 20 02:16 .gitconfig
    drwxr-xr-x.  2 8014a8eac0fb11e2a1f712313b0c0cd2 8014a8eac0fb11e2a1f712313b0c0cd2 4096 May 19 23:15 .node-gyp
    drwxr-xr-x. 15 8014a8eac0fb11e2a1f712313b0c0cd2 8014a8eac0fb11e2a1f712313b0c0cd2 4096 May 20 02:16 nodejs
    lrwxrwxrwx.  1 root                             root                               58 May 20 02:17 nodejs-0.6 -> /var/lib/openshift/8014a8eac0fb11e2a1f712313b0c0cd2/nodejs
    drwxr-xr-x.  3 root                             root                             4096 May 19 23:15 .node_modules
    drwxr-xr-x.  2 8014a8eac0fb11e2a1f712313b0c0cd2 8014a8eac0fb11e2a1f712313b0c0cd2 4096 May 19 23:15 .npm
    -rw-r--r--.  1 8014a8eac0fb11e2a1f712313b0c0cd2 8014a8eac0fb11e2a1f712313b0c0cd2    0 May 19 23:15 .npmrc
    d---------.  3 root                             root                             4096 May 19 23:15 .sandbox
    drwxr-x---.  2 root                             8014a8eac0fb11e2a1f712313b0c0cd2 4096 May 19 23:15 .ssh
    d---------.  3 root                             root                             4096 May 19 23:15 .tmp

Note You need to log in before you can comment on or make changes to this bug.